Commit db5843ca authored by Ted Trask's avatar Ted Trask

main/acf-core: Added post-upgrade to use new acf.conf.

parent 99c131be
......@@ -5,6 +5,7 @@ pkgrel=0
pkgdesc="A web-based system administration interface framework"
url="http://git.alpinelinux.org/cgit/acf-core"
license="GPL-2"
install="$pkgname.post-upgrade"
depends="acf-jquery acf-lib acf-skins haserl lua lua-posix lua-md5"
source="http://git.alpinelinux.org/cgit/$pkgname/snapshot/$pkgname-$pkgver.tar.bz2"
......
#!/bin/sh
new=$1
old=$2
# if current is not older than 0.10.1 we exit.
if ! [ "$(apk version -t $old 0.10.1)" = "<" ]; then
exit 0
fi
if [ -e /etc/acf/acf.conf.apk-new ]; then
mv /etc/acf/acf.conf /etc/acf/acf.conf.apk-old
mv /etc/acf/acf.conf.apk-new /etc/acf/acf.conf
fi
exit 0
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment